<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <meta charset="utf-8">
        <link id="cssLINK" rel="stylesheet" href="/styles.css" type="text/css">
    </head>
    <header>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <div >
                <ul class="navbar-nav">
                    <li class="nav-item">
                    <a class="nav-link" href="/">Index</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="/create">New Game</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="/list">Mes parties en cours</a>
                    </li>
                    <li class="nav-item">
                    <a class="nav-link" href="/highscores">Highscores</a>
                    </li>
                    
                    <li class="nav-item-left" style="float:right">
                    <a class="nav-link" th:text="${'Turn : ' + game.nb_turns + ' ' + (player.isYourTurn() ? '(yours)' : '(enemy)')}">C'EST CASSE</a>
                    </li>
                    <li class="nav-item-left" style="float:right">
                    <a class="nav-link" th:href="${'/play/surrender'}">Surrender</a>
                    </li>
                    <li class="nav-item-left" style="float:right">
                    <a class="nav-link" th:text="${'Money : ' + player.money + ' $'}">C'EST CASSE</a>
                    </li>
                    <li class="nav-item-left" style="float:right">
                    <a class="nav-link" th:text="${player.getMoneyPerTurn() + ' $/turn'}">C'EST CASSE</a>
                    </li>
                    <li class="nav-item-left" style="float:right">
                    <a class="nav-link" onclick="endTurn()">End Turn</a>
                    </li>
                </ul>
                </div>
            </nav>
            <script>$(
                function() {
                    $('.hover').on('mouseenter mouseleave', function() {
                    $('nav').toggleClass('toggleNav');
                    });
                });
            </script>
    </header>
    <body>
    <div class="main-wrapper">
        <canvas id="demo" width="1280" height="1170"></canvas>
    </div>
    <div style='display:none' id='last-update' th:text="${game.getLastUpdateString()}"></div>
    <script>const LAST_UPDATE = new Date(document.querySelector('#last-update').innerHTML)</script>
    <div style='display:none' id='grid-info' th:text="${game.getDataHTML()}"></div>
    <script>const GRID_INFO = document.querySelector('#grid-info').innerHTML</script>

    <script>var MENU_OPEN = false</script>
    <script th:if="${buymenuitems != null || tileselected != null || unitselected != null}">MENU_OPEN = true</script>
    <div id="buymenu" th:if="${buymenuitems != null}">
        Achat D'Unités
        <div class="buymenu-item" th:each="unit, info : ${buymenuitems}">
            <img th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" height="100%"></img>
            <h1 style='top:-125px;left:45%;position:relative;' th:text='${unit.name}'>C'EST CASSE</h1>

            <h1 style='font-size: 14px; top:-130px;left:80%;position:relative;' th:text="${'🧡' + unit.hpmax}">C'EST CASSE</h1>
            <h1 style='font-size: 14px; top:-130px;left:80%;position:relative;' th:text="${'⚔️' + unit.atk}">C'EST CASSE</h1>
            <h1 style='font-size: 14px; top:-130px;left:80%;position:relative;' th:text="${'👞' + unit.range_mvmt}">C'EST CASSE</h1>
            <h1 style='font-size: 14px; top:-130px;left:80%;position:relative;' th:text="${'🏹' + unit.range_atk}">C'EST CASSE</h1>
            <button style='font-family: pixelfont;top: -155px;left: 46%;position: relative;font-size: 22px;' th:text="${unit.cost + '$ Buy'}" th:id="${'buttonbuy|' + info.index}" onclick='sendDataBuyUnit(this)'>C'EST CASSE</button>
        </div>
        <button style='font-family: pixelfont;bottom: 0px;left: 38%;position: absolute;font-size: 35px; background-color: red;color: white;' onclick='cancelAction()'>QUIT</button>
    </div>

    <div id="infomenu" th:if="${buymenuitems == null && (tileselected != null || unitselected != null)}">

        <div class="unit-info" th:if="${unitselected != null}">
            <img th:src="${'/assets/' + unitselected.name + unitselected.owner.color.toUpperCase() + '.png'}" width="40%"></img>
            <h1 th:text='${unitselected.name}'>C'EST CASSE</h1>

            <p style='font-size: 22px;' th:text="${'🧡' + unitselected.hp + '/' + unitselected.hpmax}">C'EST CASSE</p>
            <p style='font-size: 22px;' th:text="${'⚔️' + unitselected.atk}">C'EST CASSE</p>
            <p style='font-size: 22px;' th:text="${'⏲️⚔️' + unitselected.nb_attack_round + '/' + unitselected.max_attack_per_round}">C'EST CASSE</p>
            <p style='font-size: 22px;' th:text="${'👞' + unitselected.range_mvmt + '/' + unitselected.range_mvmt_max}">C'EST CASSE</p>
            <p style='font-size: 22px;' th:text="${'🏹' + unitselected.range_atk}">C'EST CASSE</p><br>

            <h1 th:if="${!unitselected.isVehicle()}">Effective Against : </h1>
            <img width="42px" th:each="unit, info : ${unitlist}" th:if="${unitselected.getAttackEfficiency(unit) > 1 && !unitselected.isVehicle()}" th:src="${'/assets/' + unit.name + (unitselected.owner.color.toUpperCase().equals('RED') ? 'BLUE' : 'RED') + '.png'}">
            <h1 th:if="${unitselected.isVehicle()}">Contains : </h1>
            <img width="42px" th:each="unit, info : ${unitselected.getPassengerList()}" th:src="${'/assets/' + unit.name + unitselected.owner.color.toUpperCase() + '.png'}">
            <br>
            <h1>Weak Against : </h1>
            <img width="42px" th:each="unit, info : ${unitlist}" th:if="${unit.getAttackEfficiency(unitselected) > 1}" th:src="${'/assets/' + unit.name + (unitselected.owner.color.toUpperCase().equals('RED') ? 'BLUE' : 'RED') + '.png'}">
        </div>
        <div class="tile-info"  th:if="${tileselected != null}">
        	<img th:src="${'/assets/' + tileselected.name + '.png'}" width="40%" alt=""></img>
            <h1 th:text='${tileselected.name}'>C'EST CASSE</h1><br>
			
			<div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitGoodSpeed(unitlist).size() > 0}">👞 Bonus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitGoodSpeed(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
            </div>
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitBadSpeed(unitlist).size() > 0}">👞 Malus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitBadSpeed(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
			</div>
            
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitGoodDamage(unitlist).size() > 0}">⚔️ Bonus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitGoodDamage(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
            </div>
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitBadDamage(unitlist).size() > 0}">⚔️ Malus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitBadDamage(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
            </div>
            
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitGoodBonusCoef(unitlist).size() > 0}">👓 Bonus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitGoodBonusCoef(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
            </div>
            
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitGoodDefence(unitlist).size() > 0}">🛡 Bonus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitGoodDefence(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
            </div>
            <div style="display:inline">
				<h3  th:if="${tileselected.getAllUnitBadDefence(unitlist).size() > 0}">🛡 Malus</h3>
				<img th:each="unit, info : ${tileselected.getAllUnitBadDefence(unitlist)}" th:object="${unit}" th:src="${'/assets/' + unit.name + player.color.toUpperCase() + '.png'}" width="32px"></img>
			</div>

        </div>
        <button style='font-family: pixelfont;bottom: 0px;left: 38%;position: absolute;font-size: 35px; background-color: red;color: white;' onclick='cancelAction()'>QUIT</button>
    </div>

    </body>
    <script>
    	function startTimerRefresh(){
			$(function () {
				console.log('timer go');
				$.ajax({url:('/api/game/')}).done(function (result) {
                    console.log(result);
                    var server_update = new Date(result.date);
                    if(server_update > LAST_UPDATE)
                        cancelAction();
					setTimeout(startTimerRefresh,1000);
				});
			});
    	}
        setTimeout(startTimerRefresh,1000);
    </script>
    <script th:if="${notifyTurn}">
        function initNotify(){  // Onload du body
            if(window.Notification){
                Notification.requestPermission();
            }
            else{
                alert('Votre navigateur est trop ancien (ou est Internet Explorer) pour supporter cette fonctionnalité !');
            }
        }
        function notify(){
            var n = new Notification('World War Web', {
                body: 'It\'s your turn to play !',
                icon: 'https://thumbs.gfycat.com/PerfumedWearyCorydorascatfish-small.gif'
            });
        }
        initNotify();
        notify();
	</script>
    <script src="/js/common.js"></script>
    <script id="jsLINK" src="/js/offcanvas.js"></script>
    <script>
        var js = document.querySelector("#jsLINK");
        js.src = "" + js.src + "?ChromeCache" + Math.random() * 10000;

        var css = document.querySelector("#cssLINK");
        css.src = "" + css.src + "?ChromeCache" + Math.random() * 10000;
    </script>
</html>
